Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ve
Class FactorUpdatable

    java.lang.Object
      |
      +--ve.Factor
            |
            +--ve.FactorStored
                  |
                  +--ve.FactorUpdatable

public class FactorUpdatable
extends FactorStored

This the the class of factors that can be updated from generalised rules.

Inner classes inherited from class ve.FactorStored
`FactorStored.Itr`

Fields inherited from class ve.FactorStored
`factorValues`

Fields inherited from class ve.Factor
`BY_ASSIGN, BY_CPT, BY_DETERMINISTIC, BY_EXPANDING, BY_GENRULE, BY_MAXIMIZING, BY_MULTIPLYING, BY_NORMALIZING, BY_OBSERVED, BY_PLUS, BY_REORDERING, BY_SAVEIT, BY_SUM_OUT, BY_UNIFORM, BY_UPDATABLE, BY_V_ELIM, howCreatedVal, savingForTracing, thesize, variables`

Constructor Summary
`FactorUpdatable(Variable[] vars)` updatable factor with random values
`FactorUpdatable(Variable[] vars, double initProb)` constructs a factor with the given variables.

Method Summary
`void` | `update(int pos, double val)` updates every stored value corresponding to the rule.

Methods inherited from class ve.FactorStored
`iterator`

Methods inherited from class ve.Factor
`allOnes, contains, display, getName, getSavingForTracing, getVariables, howCreated, isRedundant, isRedundant, print, print, printVariables, setSavingForTracing, size, toString`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Constructor Detail

### FactorUpdatable

    public FactorUpdatable(Variable[] vars,
                           double initProb)

  constructs a factor with the given variables.
  Parameters:
    `vars` - the list of variables
    `initProbs` - the initial Probability for each node

### FactorUpdatable

    public FactorUpdatable(Variable[] vars)

  updatable factor with random values

Method Detail

### update

    public void update(int pos,
                       double val)

  updates every stored value corresponding to the rule. This must also update all of the values.
  Parameters:
    `pos` - the position in the array to be updated
    `val` - the new value

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD